Skip to main content
POST
/api/v1/image/background-remove

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

Remove the background from an image. Provide either an image file/base64 or an image URL.

anon_user_id
string

Optional identifier for the API customer's end user. Combined with the Venice user id when attributing the request to upstream providers. Distinct from the discarded OpenAI user field. Must be printable ASCII and must not contain ||.

Required string length: 1 - 128
Pattern: ^[\x20-\x7E]+$
Example:

"end-user-123"

image

The image to remove the background from. Can be either a file upload or a base64-encoded string. File size must be less than 25MB.

image_url
string<uri>

URL of the image to remove the background from.

Example:

"https://example.com/image.jpg"

Response

OK - PNG image with transparent background

The response is of type file.